import org.jetbrains.kotlin.gradle.tasks.KotlinCompile

plugins {
    kotlin("jvm") version "1.3.20"
}

repositories {
    jcenter()
    mavenCentral()
    maven("https://github.com/JetBrains/Exposed")
}

dependencies {
    implementation(kotlin("stdlib-jdk8", "1.3.20"))
    implementation("com.dmdirc:ktirc:0.7.0")
    implementation("com.ufoscout.properlty:properlty:1.9.0")
    implementation("org.jetbrains.exposed:exposed:0.12.1")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.1.1")
    implementation("io.ktor:ktor-client-core:1.1.2")
    implementation("io.ktor:ktor-client-okhttp:1.1.2")
    implementation("io.ktor:ktor-client-json:1.1.2")
    implementation("io.ktor:ktor-client-gson:1.1.2")
    implementation("org.xerial:sqlite-jdbc:3.21.0.1")
}

java {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}

tasks.withType<Wrapper> {
    gradleVersion = "5.1.1"
}

tasks.withType<KotlinCompile> {
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

configurations.all {
    resolutionStrategy.eachDependency {
        if (requested.group == "org.jetbrains.kotlin") {
            useVersion("1.3.20")
        }
    }
}